| Home | Libraries | People | FAQ | More

## Struct simple_time_rep

boost::posix_time::simple_time_rep — Simple implementation for the time rep.

## Synopsis

    struct simple_time_rep {
      // types
      typedef gregorian::date date_type;
      typedef time_duration   time_duration_type;

      // construct/copy/destruct
      simple_time_rep(date_type, time_duration_type);

      // public member functions
      bool is_special() const;
      bool is_pos_infinity() const;
      bool is_neg_infinity() const;
      bool is_not_a_date_time() const;

      date_type day;
      time_duration_type time_of_day;
    };

## Description

### `simple_time_rep` construct/copy/destruct

1.     simple_time_rep(date_type d, time_duration_type tod);

### `simple_time_rep` public member functions

1.     bool is_special() const;

2.     bool is_pos_infinity() const;

3.     bool is_neg_infinity() const;

4.     bool is_not_a_date_time() const;

| Copyright © 2001-2005 CrystalClear Software, Inc